<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listTypeGroups") label="TypeGroups"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader iri=iri param="typegroupiri" prefix="TypeGroup: "]]

[[#if (hasPermission "forms:ldp:update")]]
[[#if (ask 'ASK { filter(strstarts(str(??), "http://content.mpiwg-berlin.mpg.de/ns/ismi/type/language")) }')]]
<!-- language needs special edit form -->
<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':editLanguageGroup']]"
    urlqueryparam-typegroupiri='[[#if iri]][[iri]][[else]][[urlParam "typegroupiri"]][[/if]]'
    class="btn btn-md btn-primary "
    >Edit</semantic-link>
</div>
[[else]]
<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':editTypeGroup']]"
    urlqueryparam-typegroupiri='[[#if iri]][[iri]][[else]][[urlParam "typegroupiri"]][[/if]]'
    class="btn btn-md btn-primary "
    >Edit</semantic-link>
</div>
[[/if]]
[[/if]]

<bs-tabs id="tabs" class="header">
  <bs-tab event-key="1" title="View">
    
    <mp-field-visualization
      subject="[[#if iri]][[iri]][[else]][[urlParam typegroupiri]][[/if]]"
      fields="[[fieldDefinitionsFromQuery 'SELECT ?field WHERE { Platform:fieldDefinitionContainer <http://www.w3.org/ns/ldp#contains> ?field . ?field fielddef:domain skos:Collection. ?field rdfs:label ?label.} order by ?label']]"
      template="{{> Partial:fieldBasedVisualisation subject='[[#if iri]][[iri]][[else]][[urlParam typegroupiri]][[/if]]'}}"
    ></mp-field-visualization>

  </bs-tab>
  <bs-tab event-key="2" title="Source">

    [[> Partial:dataView iri=iri param="typegroupiri"]]

  </bs-tab>
  <bs-tab event-key="3" title="Diagram">

    [[> Partial:diagramView iri=iri param="typegroupiri"]]

  </bs-tab>
</bs-tabs>

[[> Partial:contentEnd]]
